CPUDEFS += -DHAS_CYCLONE=1
OBJDIRS += $(OBJ)/cpu/m68000_cyclone

CPUDEFS += -DHAS_DRZ80=1
OBJDIRS += $(OBJ)/cpu/z80_drz80

DRVOBJS += $(OBJ)/zlib/adler32.o $(OBJ)/zlib/compress.o $(OBJ)/zlib/crc32.o \
	$(OBJ)/zlib/gzio.o $(OBJ)/zlib/uncompr.o $(OBJ)/zlib/deflate.o \
	$(OBJ)/zlib/trees.o $(OBJ)/zlib/zutil.o $(OBJ)/zlib/inflate.o \
	$(OBJ)/zlib/infback.o $(OBJ)/zlib/inftrees.o $(OBJ)/zlib/inffast.o

OSOBJS = $(OBJ)/wiz/wiz_lib.o $(OBJ)/wiz/uppermem.o $(OBJ)/wiz/wiz_mmuhack.o \
	$(OBJ)/wiz/asm_util.o $(OBJ)/wiz/spend_cycles.o \
	$(OBJ)/wiz/memcmp.o $(OBJ)/wiz/memcpy.o $(OBJ)/wiz/memset.o \
	$(OBJ)/wiz/strcmp.o $(OBJ)/wiz/strlen.o $(OBJ)/wiz/strncmp.o \
	$(OBJ)/wiz/wiz.o $(OBJ)/wiz/video.o $(OBJ)/wiz/blit.o \
	$(OBJ)/wiz/sound.o $(OBJ)/wiz/input.o $(OBJ)/wiz/fileio.o \
	$(OBJ)/wiz/config.o $(OBJ)/wiz/fronthlp.o \
	$(OBJ)/cpu/m68000_cyclone/c68000.o $(OBJ)/cpu/m68000_cyclone/cyclone.o \
	$(OBJ)/cpu/z80_drz80/drz80_z80.o $(OBJ)/cpu/z80_drz80/drz80.o

mame.gpe:
	$(LD) $(LDFLAGS) \
		src/wiz/wiz_lib.cpp src/wiz/uppermem.cpp src/wiz/spend_cycles.s src/wiz/wiz_frontend.cpp $(LIBS) -o $@
